Skip to content

Products

List products

Scope: products:read

Query
skuExact SKU match
limitPage size, 1-200 (default 50)
cursorOpaque cursor from meta.nextCursor
Terminal window
curl https://app.rieck.nu/api/v1/products \
-H "Authorization: Bearer $RIECK_API_KEY"

Create product

Scope: products:write

Terminal window
curl -X POST https://app.rieck.nu/api/v1/products \
-H "Authorization: Bearer $RIECK_API_KEY" \
-H "Idempotency-Key: order-2041" \
-d '{
"sku": "…",
"name": "Acme ApS",
"unitPriceOere": 125000,
"vatRateBps": 2500
}'
Request body — fuldt JSON Schema
{
"type": "object",
"properties": {
"sku": {
"type": "string",
"minLength": 1,
"maxLength": 60
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"unitPriceOere": {
"type": "integer",
"minimum": 0,
"maximum": 100000000000
},
"vatRateBps": {
"type": "integer",
"minimum": 0,
"maximum": 10000
},
"vatExemptionReason": {
"anyOf": [
{
"type": "string",
"enum": [
"ML13",
"OMVENDT",
"EU_VARE",
"EKSPORT"
]
},
{
"type": "null"
}
]
},
"account": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 999999999
},
{
"type": "null"
}
]
}
},
"required": [
"sku",
"name",
"unitPriceOere",
"vatRateBps"
],
"additionalProperties": false
}

Get product

Scope: products:read

Terminal window
curl https://app.rieck.nu/api/v1/products/9b2f1c1e-… \
-H "Authorization: Bearer $RIECK_API_KEY"

Update product

Scope: products:write

Terminal window
curl -X PATCH https://app.rieck.nu/api/v1/products/9b2f1c1e-… \
-H "Authorization: Bearer $RIECK_API_KEY" \
-H "Idempotency-Key: order-2041" \
-d '{
"name": "Acme ApS",
"unitPriceOere": 125000,
"vatRateBps": 2500
}'
Request body — fuldt JSON Schema
{
"type": "object",
"properties": {
"sku": {
"type": "string",
"minLength": 1,
"maxLength": 60
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"unitPriceOere": {
"type": "integer",
"minimum": 0,
"maximum": 100000000000
},
"vatRateBps": {
"type": "integer",
"minimum": 0,
"maximum": 10000
},
"vatExemptionReason": {
"anyOf": [
{
"type": "string",
"enum": [
"ML13",
"OMVENDT",
"EU_VARE",
"EKSPORT"
]
},
{
"type": "null"
}
]
},
"account": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 999999999
},
{
"type": "null"
}
]
},
"active": {
"type": "boolean"
}
},
"additionalProperties": false
}

List sales accounts

Scope: products:read

Terminal window
curl https://app.rieck.nu/api/v1/accounts \
-H "Authorization: Bearer $RIECK_API_KEY"

Create sales account

Scope: products:write

Terminal window
curl -X POST https://app.rieck.nu/api/v1/accounts \
-H "Authorization: Bearer $RIECK_API_KEY" \
-H "Idempotency-Key: order-2041" \
-d '{
"accountNumber": "…",
"name": "Acme ApS"
}'
Request body — fuldt JSON Schema
{
"type": "object",
"properties": {
"accountNumber": {
"type": "string",
"minLength": 1,
"maxLength": 20
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
}
},
"required": [
"accountNumber",
"name"
],
"additionalProperties": false
}